%define major 0
%define libname %mklibname mt_client %major
%define devname %mklibname mt_client -d

Summary: The Maitretarot client library
Name: libmt_client
Version: 0.1.98
Release: %mkrel 22
License: GPLv2+
Group: Games/Cards
Source: https://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
Patch0: libmt_client-0.1.98-str-fmt.patch
URL: https://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libmaitretarot-devel >= 0.1.98-21

%description
Maitretarot is a tarot server game. Libmt_client is a library
for the client.

%package -n %libname
Summary: The Maitretarot client library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmt_client is a library
for any client.

%package -n %devname
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}mt_client0-devel < 0.1.98-12

%description -n %devname
This package is need to build application which use Libmt_client.

%prep
%setup -q
%autopatch -p0

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS ChangeLog
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_libdir}/*.so
%{_includedir}/mt_client.h



%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.1.98-22.mga9
+ Revision: 1799443
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1.98-21.mga8
+ Revision: 1514247
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.98-20.mga7
+ Revision: 1299016
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 0.1.98-19.mga7
+ Revision: 1239196
- fix build on aarch64
- drop fr descriptions
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 0.1.98-18.mga6
+ Revision: 938680
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.98-17.mga5
+ Revision: 740095
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.98-16.mga5
+ Revision: 726796
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.98-15.mga5
+ Revision: 681621
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.98-14.mga4
+ Revision: 532513
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 0.1.98-13.mga4
+ Revision: 468590
- fix obsoletes

* Tue Aug 20 2013 wally <wally> 0.1.98-12.mga4
+ Revision: 468466
- drop major from devel pkg name

* Sat Jan 12 2013 umeabot <umeabot> 0.1.98-11.mga3
+ Revision: 357808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 0.1.98-10.mga3
+ Revision: 335855
- disable static build and get rid of .la files
- clean .spec a bit

* Sat May 14 2011 nanardon <nanardon> 0.1.98-9.mga1
+ Revision: 98739
- imported package libmt_client


* Sat Jul 26 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.98-9mdv2009.0
+ Revision: 250277
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.1.98-7mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-7mdv2007.0
+ Revision: 108753
- rebuild

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-6mdv2007.0
+ Revision: 55080
- rebuild
- Import libmt_client

* Sun May 28 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-5mdv
- rebuild
- fix provides/requires

* Sat Apr 09 2005 Olivier Thauvin <nanardon@mandrake.org> 0.1.98-4mdk
- remove prefix tag

* Sat Apr 09 2005 Olivier Thauvin <nanardon@mandrake.org> 0.1.98-3mdk
- %%mklibname

* Mon Apr 05 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-2mdk
- Birthday rebuild

